<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.interplug.qcast.biz.myInfo.MyInfoMapper">
	<select id="selectMyInfo" parameterType="com.interplug.qcast.biz.myInfo.dto.MyInfoRequest" resultType="com.interplug.qcast.biz.myInfo.dto.MyInfoResponse">
		/* sqlid : com.interplug.qcast.myInfo.selectMyInfo (사용자 정보 조회) */
		select	  u.user_id
				, u.password
				, u.name
				, u.name_kana
				, u.category
				, u.tel
				, u.fax
				, u.mail
				, g.group_id
				, g.group_name
		from  m_user u inner join m_group g
		  on u.group_id = g.group_id
		where u.user_id = #{userId}
	</select>
</mapper>